Subject: bug#74042: [PATCH] Accept texi2any for version identification

From: Mats Lidell <[email-masked]>
Date: Sun, 27 Oct 2024 18:50:59 +0100

Hi Eli,

> Eli Zaretskii writes:
> Can you explain the rationale?  IOW, when does the current code not
> doing its job?

If the user generates the info file by using texi2any the check for version
number fails and the fact that "index cookies" are supported is lost.

I don't know what index cookies are but the effect was in my case that only
one of three indexes was noticed in the info file.

> The fact that makeinfo invokes texi2any is an internal implementation
> detail of the Texinfo project, and I wouldn't want us to depend on
> that without a very good reason.  E.g., once upon a time, makeinfo was
> a standalone program written in C, and nothing prevents the Texinfo
> folks from doing that again in some future release.

It seems to be a legit case to use texi2any directly, even encouraged, due to
being a generic translator. makeinfo is mentioned as being an alias with no
different behavior. On my system makeinfo is a symbolic link to texi2any.

https://www.gnu.org/software/texinfo/manual/texinfo/html_node/Generic-Translator-texi2any.html

Yours
-- 
%% Mats